import request from "@/utils/request";

/**
 * 通过id获取报故详情
 *
 * @param queryParams
 */
export function getEscalationFaultById(id: any) {
  return request({
    url: "/api/v1/process/escalationFault/get/" + `${id}`,
    method: "get",
  });
}
/**
 * 获取报故列表
 *
 */
export function getEscalationFaultList(data: any) {
  return request({
    url: "/api/v1/process/escalationFault/processInfo/list",
    method: "post",
    data,
  });
}

//开工前获取序列号 WQId
export function getWorkOrderCode(seqNo: any) {
  return request({
    url: "/api/v1/process/escalationFault/getWorkOrderCode/" + `${seqNo}`,
    method: "get",
  });
}
